package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BomanReservat;

/**
 * 预约Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-27
 */
public interface BomanReservatMapper 
{
    /**
     * 查询预约
     * 
     * @param reservatId 预约主键
     * @return 预约
     */
    public BomanReservat selectBomanReservatByReservatId(Long reservatId);

    /**
     * 查询预约列表
     * 
     * @param bomanReservat 预约
     * @return 预约集合
     */
    public List<BomanReservat> selectBomanReservatList(BomanReservat bomanReservat);

    /**
     * 新增预约
     * 
     * @param bomanReservat 预约
     * @return 结果
     */
    public int insertBomanReservat(BomanReservat bomanReservat);

    /**
     * 修改预约
     * 
     * @param bomanReservat 预约
     * @return 结果
     */
    public int updateBomanReservat(BomanReservat bomanReservat);

    /**
     * 删除预约
     * 
     * @param reservatId 预约主键
     * @return 结果
     */
    public int deleteBomanReservatByReservatId(Long reservatId);

    /**
     * 批量删除预约
     * 
     * @param reservatIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBomanReservatByReservatIds(Long[] reservatIds);
}
